import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { PartnerBranchsResolver } from './resolvers/partner-branch.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const partnerBranchRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      partnerBranchs: PartnerBranchsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
